;InnoSetupVersion=4.1.8

[Setup]
AppName=Fast Note
AppVerName=Fast Note 2.1.0 beta
AppId=KS_Fast_note
AppVersion=2.1.0
AppPublisher=Kirys Tech 2000
AppPublisherURL=http://www.kt2k.com/
AppMutex=KTFastNote_istance
DefaultDirName={pf}\KirysTech2k\FastNote
DefaultGroupName=Kirys Tech 2000\Fast Note
UninstallDisplayIcon={app}\kfn.exe
OutputBaseFilename=FastNoteSetup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\kfn.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.rtf"; DestDir: "{app}"; 
Source: "{app}\kfn.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\kfn.tip"; DestDir: "{app}"; 
Source: "{app}\trill.wav"; DestDir: "{app}"; 
Source: "{app}\Release History.txt"; DestDir: "{app}"; Flags: ignoreversion 

[Dirs]
Name: "{app}\users"; 
Name: "{app}\users"; 

[Registry]
Root: HKCU; Subkey: "Software\KirysTech2k\KFastNote"; Flags: uninsdeletekey 

[INI]
FileName: "{app}\Kirys Tech 2000.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.kt2k.com"; 

[Run]
Filename: "{app}\kfn.exe"; Description: "Start Fast Note."; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\kfn.exe"; Parameters: "/UNINSTALL"; StatusMsg: "Removing notes..."; Flags: skipifdoesntexist 

[Icons]
Name: "{group}\Fast Note"; Filename: "{app}\kfn.EXE"; 
Name: "{group}\Fast Note Help"; Filename: "{app}\Kfn.chm"; 
Name: "{group}\Fast Note Release History"; Filename: "{app}\Release History.txt"; 
Name: "{group}\Fast Note License"; Filename: "{app}\license.rtf"; 
Name: "{group}\Kirys Tech 2000 WebSite"; Filename: "{app}\Kirys Tech 2000.url"; 
Name: "{userdesktop}\Kirys Tech 2000 WebSite"; Filename: "{app}\Kirys Tech 2000.url"; Tasks: desktopkt; 
Name: "{userdesktop}\Fast Note"; Filename: "{app}\kfn.EXE"; Tasks: desktop; 
Name: "{commonstartup}\Fast Note"; Filename: "{app}\kfn.EXE"; Parameters: "/S"; Tasks: startup; 

[Tasks]
Name: "desktop"; Description: "Create a shortcut for Fast Note on the desktop"; GroupDescription: "Additional icons:"; 
Name: "desktopkt"; Description: "Create a shortcut for Kirys Tech 2000 on the desktop"; GroupDescription: "Additional icons:"; 
Name: "startup"; Description: "Start Fast Note with Windows"; GroupDescription: "Other:"; 

[InstallDelete]
Type: files; Name: "{app}\kutil.dll"; 
Type: files; Name: "{app}\kutils.dll"; 
Type: files; Name: "{app}\kfn.hlp"; 
Type: files; Name: "{app}\kfn.cnt"; 
Type: files; Name: "{app}\kfn.gid"; 
Type: files; Name: "{app}\io.dll"; 
Type: files; Name: "{app}\UnWise.exe"; 
Type: files; Name: "{app}\Readme.doc"; 
Type: files; Name: "{app}\install.log"; 
Type: files; Name: "{app}\kiryssoft.url"; 
Type: filesandordirs; Name: "{app}\backup"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\backup"; 
Type: files; Name: "{app}\kutil.dll"; 
Type: files; Name: "{app}\kutils.dll"; 
Type: files; Name: "{app}\kfn.hlp"; 
Type: files; Name: "{app}\kfn.cnt"; 
Type: files; Name: "{app}\kfn.gid"; 
Type: files; Name: "{app}\io.dll"; 
Type: files; Name: "{app}\UnWise.exe"; 
Type: files; Name: "{app}\Readme.doc"; 
Type: files; Name: "{app}\install.log"; 
Type: files; Name: "{app}\kiryssoft.url"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
